print("register fruit type: potato");

local potatohudFile = Utils.getFilename("mods/Platt/script/potatoHud.png", getUserProfileAppPath());
FruitUtil.registerFruitType("potato", true, true, false, 0.1, 0.7, 0.8, 0.08, 2.5, potatohudFile);	
	
local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;	
end;
 
